/***************************************************************************
 *   Copyright (C) 2004 by zsyddl                                          *
 *   morrowren@sina.com                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
/*
	revised by yunfan  2005
	yunfan_zg@163.com
*/


#include "evauseruibase.h"

#include <qvariant.h>
#include <qframe.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qwidget.h>
#include <qlineedit.h>
#include <qcombobox.h>
#include <qiconview.h>
#include <qgroupbox.h>
#include <qradiobutton.h>
#include <qtextedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>
#include <qbuttongroup.h>
#include <klocale.h>

//#include "../usermsg.ui.h"
/*
 *  Constructs a EvaUserUIBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
EvaUserUIBase::EvaUserUIBase( bool isMe, QWidget* parent, const char* name, bool modal, WFlags fl)
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "EvaUserUIBase" );
    setEnabled( TRUE );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( QSize( 470, 304 ) );
    setMaximumSize( QSize( 470, 304 ) );
//   setPaletteForegroundColor( QColor( 33, 17, 208 ) );
//    setPaletteBackgroundColor( QColor( 201, 223, 255 ) );
    QFont f( font() );
    setFont( f ); 
    setFocusPolicy( QDialog::ClickFocus );
    setSizeGripEnabled( TRUE );
#ifdef EVA
    pubBridge = bridge;
#endif
    line2 = new QFrame( this, "line2" );
    line2->setGeometry( QRect( 0, 0, 470, 16 ) );
    line2->setFrameShape( QFrame::HLine );
    line2->setFrameShadow( QFrame::Sunken );
    line2->setFrameShape( QFrame::HLine );

    pL_EvaQ = new QLabel( this, "pL_EvaQ" );
    pL_EvaQ->setGeometry( QRect( 0, 10, 100, 250 ) );
//    pL_EvaQ->setPaletteForegroundColor( QColor( 62, 208, 89 ) );
    pL_EvaQ->setPaletteBackgroundColor( QColor( 62, 208, 89 ) );
    pL_EvaQ->setScaledContents( TRUE );

    pB_Close = new QPushButton( this, "pB_Close" );
    pB_Close->setGeometry( QRect( 330, 270, 82, 27 ) );
//    pB_Close->setPaletteForegroundColor( QColor( 33, 17, 208 ) );
//    pB_Close->setPaletteBackgroundColor( QColor( 78, 155, 255 ) );
    pB_Close->setAutoDefault( FALSE );
    pB_Close->setDefault( FALSE );
//    pB_Close->setFlat( TRUE );

    pB_Update = new QPushButton( this, "pB_Update" );
    pB_Update->setGeometry( QRect( 201, 271, 82, 27 ) );
//    pB_Update->setPaletteForegroundColor( QColor( 33, 17, 208 ) );
 //   pB_Update->setPaletteBackgroundColor( QColor( 78, 155, 255 ) );
    pB_Update->setAutoDefault( FALSE );
//    pB_Update->setFlat( TRUE );

    tW_Infor = new QTabWidget( this, "tW_Infor" );
    tW_Infor->setGeometry( QRect( 100, 10, 370, 250 ) );
//    tW_Infor->setPaletteForegroundColor( QColor( 33, 17, 208 ) );
//    tW_Infor->setPaletteBackgroundColor( QColor( 201, 223, 255 ) );
    tW_Infor->setTabPosition( QTabWidget::Top );
    tW_Infor->setTabShape( QTabWidget::Triangular );
    tW_Infor->setMargin( -1 );

    tabBase = new QWidget( tW_Infor, "tabBase" );

    textLabel1 = new QLabel( tabBase, "textLabel1" );
    textLabel1->setGeometry( QRect( 11, 11, 77, 22 ) );

    textLabel2 = new QLabel( tabBase, "textLabel2" );
    textLabel2->setGeometry( QRect( 11, 39, 77, 21 ) );

    textLabel3 = new QLabel( tabBase, "textLabel3" );
    textLabel3->setGeometry( QRect( 11, 66, 77, 22 ) );

    textLabel4 = new QLabel( tabBase, "textLabel4" );
    textLabel4->setGeometry( QRect( 11, 94, 77, 22 ) );

    textLabel5 = new QLabel( tabBase, "textLabel5" );
    textLabel5->setGeometry( QRect( 11, 122, 77, 22 ) );

    textLabel6 = new QLabel( tabBase, "textLabel6" );
    textLabel6->setGeometry( QRect( 11, 150, 77, 21 ) );

    textLabel7 = new QLabel( tabBase, "textLabel7" );
    textLabel7->setGeometry( QRect( 11, 177, 77, 22 ) );

    textLabel8 = new QLabel( tabBase, "textLabel8" );
    textLabel8->setGeometry( QRect( 190, 40, 42, 21 ) );

    lE_FName = new QLineEdit( tabBase, "lE_FName" );
    lE_FName->setGeometry( QRect( 71, 38, 110, 20 ) );
    lE_FName->setLineWidth( 1 );
    lE_FName->setMargin( 0 );

    lE_Num = new QLineEdit( tabBase, "lE_Num" );
    lE_Num->setGeometry( QRect( 71, 12, 110, 20 ) );
    lE_Num->setFrameShadow( QLineEdit::Sunken );
    lE_Num->setLineWidth( 1 );

    cB_Area = new QComboBox( FALSE, tabBase, "cB_Area" );
    cB_Area->setGeometry( QRect( 71, 118, 110, 22 ) );
//    ((QLineEdit*) cB_Area->lineEdit())->setLineWidth( 1 );
//    cB_Area->setPaletteForegroundColor( QColor( 0, 0, 0 ) );
    cB_Area->setEditable( true );
    
    cB_Sex = new QComboBox( FALSE, tabBase, "cB_Sex" );
    cB_Sex->setGeometry( QRect( 71, 90, 60, 22 ) );
//    cB_Sex->setPaletteForegroundColor( QColor( 0, 0, 0 ) );
    cB_Sex->setEditable( true );
    
    lE_Age = new QLineEdit( tabBase, "lE_Age" );
    lE_Age->setGeometry( QRect( 71, 64, 60, 20 ) );
    lE_Age->setLineWidth( 1 );

    cB_Covience = new QComboBox( FALSE, tabBase, "cB_Covience" );
    cB_Covience->setGeometry( QRect( 71, 146, 110, 22 ) );
//    cB_Covience->setPaletteForegroundColor( QColor( 0, 0, 0 ) );
    cB_Covience->setEditable( true );
    
    cB_City = new QComboBox( FALSE, tabBase, "cB_City" );
    cB_City->setGeometry( QRect( 71, 174, 110, 22 ) );
//    cB_City->setPaletteForegroundColor( QColor( 0, 0, 0 ) );
    cB_City->setEditable( true );
    
    pL_QQShow = new QLabel( tabBase, "pL_QQShow" );
    pL_QQShow->setGeometry( QRect( 270, 70, 90, 150 ) );
    pL_QQShow->setPaletteBackgroundColor( QColor( 103, 255, 131 ) );
    pL_QQShow->setScaledContents( TRUE );

    pB_UpdateQQShow = new QPushButton( tabBase, "pB_UpdateQQShow" );
    pB_UpdateQQShow->setGeometry( QRect( 190, 170, 80, 30 ) );
//    pB_UpdateQQShow->setPaletteForegroundColor( QColor( 33, 17, 208 ) );
//    pB_UpdateQQShow->setPaletteBackgroundColor( QColor( 78, 155, 255 ) );
    pB_UpdateQQShow->setAutoDefault( FALSE );
//    pB_UpdateQQShow->setFlat( TRUE );
    pB_UpdateQQShow->setEnabled( true );

    pB_Face = new QPushButton( tabBase, "pB_Face" );
    pB_Face->setGeometry( QRect( 270, 10, 50, 50 ) );
    pB_Face->setPaletteForegroundColor( QColor( 103, 255, 131 ) );
    pB_Face->setPaletteBackgroundColor( QColor( 103, 255, 131 ) );
    pB_Face->setMouseTracking( TRUE );
    pB_Face->setToggleButton( FALSE );
    pB_Face->setOn( FALSE );
    pB_Face->setFlat( TRUE );

    iV_Face = new QIconView( tabBase, "iV_Face" );
    iV_Face->setGeometry( QRect( 49, 6, 220, 220 ) );
    iV_Face->setFrameShape( QIconView::WinPanel );
    iV_Face->setFrameShadow( QIconView::Plain );
    iV_Face->setSpacing( 4 );
    iV_Face->setMaxItemWidth( 100 );
    iV_Face->setItemsMovable( FALSE );
    iV_Face->setWordWrapIconText( FALSE );
    iV_Face->hide();                          ///锟矫改�    
    tW_Infor->insertTab( tabBase, QString("") );

    tabMether = new QWidget( tW_Infor, "tabMether" );

    line1 = new QFrame( tabMether, "line1" );
    line1->setGeometry( QRect( -102, -35, 461, 20 ) );
    line1->setFrameShape( QFrame::HLine );
    line1->setFrameShadow( QFrame::Sunken );
    line1->setFrameShape( QFrame::HLine );

    textLabel1_2 = new QLabel( tabMether, "textLabel1_2" );
    textLabel1_2->setGeometry( QRect( 11, 11, 70, 23 ) );

    textLabel2_2 = new QLabel( tabMether, "textLabel2_2" );
    textLabel2_2->setGeometry( QRect( 11, 40, 70, 23 ) );

    textLabel3_2 = new QLabel( tabMether, "textLabel3_2" );
    textLabel3_2->setGeometry( QRect( 11, 69, 70, 22 ) );

    textLabel4_2 = new QLabel( tabMether, "textLabel4_2" );
    textLabel4_2->setGeometry( QRect( 11, 97, 70, 23 ) );

    textLabel5_2 = new QLabel( tabMether, "textLabel5_2" );
    textLabel5_2->setGeometry( QRect( 11, 126, 70, 23 ) );

    groupBox1 = new QButtonGroup( tabMether, "groupBox1" );
    groupBox1->setGeometry( QRect( 0, 160, 350, 50 ) );
    groupBox1->setLineWidth( 1 );
    groupBox1->setRadioButtonExclusive ( true );  ///锟矫改讹拷为锟斤拷

    rB_Private = new QRadioButton( groupBox1, "rB_Private" );
    rB_Private->setGeometry( QRect( 135, 21, 92, 20 ) );

    rB_Protected = new QRadioButton( groupBox1, "rB_Protected" );
    rB_Protected->setGeometry( QRect( 223, 21, 118, 20 ) );

    rB_Public = new QRadioButton( groupBox1, "rB_Public" );
    rB_Public->setGeometry( QRect( 41, 21, 78, 20 ) );
    groupBox1->setButton( 0 );                //默锟轿拷芽杉

    lE_Email = new QLineEdit( tabMether, "lE_Email" );
    lE_Email->setGeometry( QRect( 80, 10, 270, 22 ) );
 //   lE_Email->setPaletteForegroundColor( QColor( 0, 0, 0 ) );
    lE_Email->setLineWidth( 1 );
    lE_Email->setMargin( 0 );

    lE_Addr = new QLineEdit( tabMether, "lE_Addr" );
    lE_Addr->setGeometry( QRect( 81, 39, 270, 22 ) );
//    lE_Addr->setPaletteForegroundColor( QColor( 0, 0, 0 ) );
    lE_Addr->setLineWidth( 1 );

    lE_MailNum = new QLineEdit( tabMether, "lE_MailNum" );
    lE_MailNum->setGeometry( QRect( 81, 67, 270, 22 ) );
    lE_MailNum->setLineWidth( 1 );

    lE_Phone = new QLineEdit( tabMether, "lE_Phone" );
    lE_Phone->setGeometry( QRect( 81, 95, 270, 22 ) );
    lE_Phone->setLineWidth( 1 );

    lE_MovePhone = new QLineEdit( tabMether, "lE_MovePhone" );
    lE_MovePhone->setGeometry( QRect( 81, 123, 270, 22 ) );
    lE_MovePhone->setLineWidth( 1 );
    tW_Infor->insertTab( tabMether, QString("") );

    tabAllinfor = new QWidget( tW_Infor, "tabAllinfor" );

    textLabel10 = new QLabel( tabAllinfor, "textLabel10" );
    textLabel10->setGeometry( QRect( 221, 11, 42, 22 ) );

    textLabel11 = new QLabel( tabAllinfor, "textLabel11" );
    textLabel11->setGeometry( QRect( 221, 39, 42, 22 ) );

    textLabel12 = new QLabel( tabAllinfor, "textLabel12" );
    textLabel12->setGeometry( QRect( 221, 67, 42, 22 ) );

    textLabel6_2 = new QLabel( tabAllinfor, "textLabel6_2" );
    textLabel6_2->setGeometry( QRect( 11, 11, 70, 23 ) );

    textLabel7_2 = new QLabel( tabAllinfor, "textLabel7_2" );
    textLabel7_2->setGeometry( QRect( 11, 40, 70, 23 ) );

    textLabel8_2 = new QLabel( tabAllinfor, "textLabel8_2" );
    textLabel8_2->setGeometry( QRect( 11, 69, 70, 22 ) );

    textLabel9 = new QLabel( tabAllinfor, "textLabel9" );
    textLabel9->setGeometry( QRect( 11, 97, 70, 23 ) );

    textLabel13 = new QLabel( tabAllinfor, "textLabel13" );
    textLabel13->setGeometry( QRect( 11, 126, 70, 23 ) );

    cB_Job = new QComboBox( FALSE, tabAllinfor, "cB_Job" );
    cB_Job->setGeometry( QRect( 81, 67, 123, 22 ) );
    cB_Job->setPaletteForegroundColor( QColor( 0, 0, 0 ) );
    cB_Job->setEditable( true );
    
    lE_School = new QLineEdit( tabAllinfor, "lE_School" );
    lE_School->setGeometry( QRect( 81, 39, 123, 22 ) );
//    lE_School->setPaletteForegroundColor( QColor( 0, 0, 0 ) );
    lE_School->setLineWidth( 1 );

    lE_Name = new QLineEdit( tabAllinfor, "lE_Name" );
    lE_Name->setGeometry( QRect( 81, 11, 123, 22 ) );
//    lE_Name->setPaletteForegroundColor( QColor( 0, 0, 0 ) );
    lE_Name->setLineWidth( 1 );

    cB_ShX = new QComboBox( FALSE, tabAllinfor, "cB_ShX" );
    cB_ShX->setGeometry( QRect( 271, 11, 80, 22 ) );
//    cB_ShX->setPaletteForegroundColor( QColor( 0, 0, 0 ) );
    cB_ShX->setEditable( true );
    
    cB_BloodType = new QComboBox( FALSE, tabAllinfor, "cB_BloodType" );
    cB_BloodType->setGeometry( QRect( 271, 39, 80, 22 ) );
//    cB_BloodType->setPaletteForegroundColor( QColor( 0, 0, 0 ) );
    cB_BloodType->setEditable( true );
    
    cB_Star = new QComboBox( FALSE, tabAllinfor, "cB_Star" );
    cB_Star->setGeometry( QRect( 271, 67, 80, 22 ) );
//    cB_Star->setPaletteForegroundColor( QColor( 0, 0, 0 ) );
    cB_Star->setEditable( true );
    
    tE_Text = new QTextEdit( tabAllinfor, "tE_Text" );
    tE_Text->setGeometry( QRect( 80, 130, 271, 91 ) );
//    tE_Text->setPaletteForegroundColor( QColor( 0, 0, 0 ) );
    tE_Text->setLineWidth( 1 );

    lE_HPage = new QLineEdit( tabAllinfor, "lE_HPage" );
    lE_HPage->setGeometry( QRect( 80, 100, 270, 22 ) );
//    lE_HPage->setPaletteForegroundColor( QColor( 0, 0, 0 ) );
    lE_HPage->setLineWidth( 1 );
    tW_Infor->insertTab( tabAllinfor, QString("") );

    tabSecurity = new QWidget( tW_Infor, "tabSecurity" );

    Form1Layout = new QGridLayout( tabSecurity, 1, 1, 11, 6, "Form1Layout"); 

    btngAuthen = new QButtonGroup( tabSecurity, "btngAuthen" );
    btngAuthen->setFocusPolicy( QButtonGroup::NoFocus );
    btngAuthen->setLineWidth( 1 );
    btngAuthen->setCheckable( FALSE );
    btngAuthen->setExclusive( FALSE );
    btngAuthen->setRadioButtonExclusive( FALSE );
    btngAuthen->setProperty( "selectedId", -1 );
    btngAuthen->setColumnLayout(0, Qt::Vertical );
    btngAuthen->layout()->setSpacing( 6 );
    btngAuthen->layout()->setMargin( 11 );
    btngAuthenLayout = new QGridLayout( btngAuthen->layout() );
    btngAuthenLayout->setAlignment( Qt::AlignTop );

    layout18 = new QVBoxLayout( 0, 0, 6, "layout18"); 

    rbtnAuthNoNeed = new QRadioButton( btngAuthen, "rbtnAuthNoNeed" );
    rbtnAuthNoNeed->setFocusPolicy( QRadioButton::TabFocus );
    rbtnAuthNoNeed->setChecked( FALSE );
    layout18->addWidget( rbtnAuthNoNeed );

    rbtnAuthNeed = new QRadioButton( btngAuthen, "rbtnAuthNeed" );
    layout18->addWidget( rbtnAuthNeed );

    rbtnAuthReject = new QRadioButton( btngAuthen, "rbtnAuthReject" );
    layout18->addWidget( rbtnAuthReject );

    btngAuthenLayout->addLayout( layout18, 0, 0 );

    Form1Layout->addWidget( btngAuthen, 1, 0 );

    gbChangePassword = new QGroupBox( tabSecurity, "gbChangePassword" );
    gbChangePassword->setFocusPolicy( QGroupBox::TabFocus );
    gbChangePassword->setCheckable( TRUE );
    gbChangePassword->setChecked( FALSE );
    gbChangePassword->setColumnLayout(0, Qt::Vertical );
    gbChangePassword->layout()->setSpacing( 6 );
    gbChangePassword->layout()->setMargin( 11 );
    gbChangePasswordLayout = new QGridLayout( gbChangePassword->layout() );
    gbChangePasswordLayout->setAlignment( Qt::AlignTop );

    layout14 = new QHBoxLayout( 0, 0, 6, "layout14"); 

    layout12 = new QHBoxLayout( 0, 0, 6, "layout12"); 

    layout11 = new QVBoxLayout( 0, 0, 6, "layout11"); 

    lblOldPwd = new QLabel( gbChangePassword, "lblOldPwd" );
    layout11->addWidget( lblOldPwd );

    lblNewPwd = new QLabel( gbChangePassword, "lblNewPwd" );
    layout11->addWidget( lblNewPwd );

    lblNewPwdConfirm = new QLabel( gbChangePassword, "lblNewPwdVerify" );
    layout11->addWidget( lblNewPwdConfirm );
    layout12->addLayout( layout11 );

    layout10 = new QVBoxLayout( 0, 0, 6, "layout10"); 

    leOldPwd = new QLineEdit( gbChangePassword, "leOldPwd" );
    leOldPwd->setEchoMode( QLineEdit::Password );
    layout10->addWidget( leOldPwd );

    leNewPwd = new QLineEdit( gbChangePassword, "leNewPwd" );
    leNewPwd->setEchoMode( QLineEdit::Password );
    layout10->addWidget( leNewPwd );

    leReNew = new QLineEdit( gbChangePassword, "leReNew" );
    leReNew->setEchoMode( QLineEdit::Password );
    layout10->addWidget( leReNew );
    layout12->addLayout( layout10 );
    layout14->addLayout( layout12 );

    layout13 = new QVBoxLayout( 0, 0, 6, "layout13"); 

    textLabel4s = new QLabel( gbChangePassword, "textLabel4" );
    layout13->addWidget( textLabel4s );

    textLabel5s = new QLabel( gbChangePassword, "textLabel5" );
    layout13->addWidget( textLabel5s );
    spacer2 = new QSpacerItem( 20, 21, QSizePolicy::Minimum, QSizePolicy::Minimum );
    layout13->addItem( spacer2 );
    layout14->addLayout( layout13 );

    gbChangePasswordLayout->addLayout( layout14, 0, 0 );

    Form1Layout->addWidget( gbChangePassword, 0, 0 );

     //tabSecurity->setEnabled(false);
    tW_Infor->insertTab( tabSecurity, QString("") );
    if(!isMe) //tW_Infor->setTabEnabled(tabSecurity, false);
    	gbChangePassword->setEnabled(false);
    languageChange();
    resize( QSize(470, 304).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( pB_Close, tW_Infor );
    setTabOrder( tW_Infor, pB_Update );
    
    tabSecurity->setTabOrder( gbChangePassword, leOldPwd );
    tabSecurity->setTabOrder( leOldPwd, leNewPwd );
    tabSecurity->setTabOrder( leNewPwd, leReNew );
    tabSecurity->setTabOrder( leReNew, rbtnAuthNoNeed );
    tabSecurity->setTabOrder( rbtnAuthNoNeed, rbtnAuthNeed );
    tabSecurity->setTabOrder( rbtnAuthNeed, rbtnAuthReject );
    tabSecurity->setTabOrder( rbtnAuthReject, btngAuthen );
    
    connect( pB_Close, SIGNAL( clicked() ), this, SLOT( close() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
EvaUserUIBase::~EvaUserUIBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void EvaUserUIBase::languageChange()
{
    setIconText( i18n("Eva" ) );
    pL_EvaQ->setText( i18n("Eva Logo" ) );
    pB_Close->setText( i18n("Close" ) );
    pB_Update->setText( i18n("Update" ) );
    textLabel1->setText( i18n("QQ:" ) );
    textLabel2->setText( i18n("Nickname:" ) );
    textLabel3->setText( i18n("Age:" ) );
    textLabel4->setText( i18n("Sex:" ) );
    textLabel5->setText( i18n("Area:" ) );
    textLabel6->setText( i18n("Province:" ) );
    textLabel7->setText( i18n("City:" ) );
    textLabel8->setText( i18n("Face:" ) );
    cB_Area->clear();
    cB_Area->insertItem( i18n("China" ) );
    cB_Sex->clear();
    cB_Sex->insertItem( QString::null );
    cB_Sex->insertItem( i18n("Male" ) );
    cB_Sex->insertItem( i18n("Female" ) );
    cB_Sex->insertItem( i18n("MidSex" ) );
    cB_Covience->clear();
    cB_Covience->insertItem( QString::null );
    cB_Covience->insertItem( i18n("BeiJing" ) );
    cB_Covience->insertItem( i18n("ShangHai" ) );
    cB_Covience->insertItem( i18n("HuNan" ) );
    cB_Covience->insertItem( i18n("HuBei" ) );
    cB_Covience->insertItem( i18n("GuangDong" ) );
    cB_Covience->insertItem( i18n("GuangXi" ) );
    cB_Covience->insertItem( i18n("HeNan" ) );
    cB_Covience->insertItem( i18n("HeBei" ) );
    cB_Covience->insertItem( i18n("ShanDong" ) );
    cB_Covience->insertItem( i18n("ShanXi" ) );
    cB_Covience->insertItem( i18n("JiangShu" ) );
    cB_Covience->insertItem( i18n("JangXi" ) );
    cB_Covience->insertItem( i18n("ZheJiang" ) );
    cB_Covience->insertItem( i18n("HeiLongJ" ) );
    cB_Covience->insertItem( i18n("XingJiang" ) );
    cB_Covience->insertItem( i18n("HaiNan" ) );
    cB_Covience->insertItem( i18n("YunNan" ) );
    cB_Covience->insertItem( i18n("GuiZhou" ) );
    cB_Covience->insertItem( i18n("FuJian" ) );
    cB_Covience->insertItem( i18n("JiLin" ) );
    cB_Covience->insertItem( i18n("AnHui" ) );
    cB_Covience->insertItem( i18n("SiChuan" ) );
    cB_Covience->insertItem( i18n("XiZhang" ) );
    cB_Covience->insertItem( i18n("NingXia" ) );
    cB_Covience->insertItem( i18n("LiaoNing" ) );
    cB_Covience->insertItem( i18n("QingHai" ) );
    cB_Covience->insertItem( i18n("GanShu" ) );
    cB_Covience->insertItem( i18n("ShannXi" ) );
    cB_Covience->insertItem( i18n("NeiMenGu" ) );
    cB_Covience->insertItem( i18n("TaiWan" ) );
    cB_Covience->insertItem( i18n("TianJing" ) );
    cB_Covience->insertItem( i18n("CongQing" ) );
    cB_Covience->insertItem( i18n("XiangGang" ) );
    cB_Covience->insertItem( i18n("AoMen" ) );
    
    pB_UpdateQQShow->setText( i18n("UpdateQQShow" ) );
    pB_Face->setText( QString::null );
    iV_Face->clear();

    tW_Infor->changeTab( tabBase, i18n("Overview" ) );
    textLabel1_2->setText( i18n("Email:" ) );
    textLabel2_2->setText( i18n("Address:" ) );
    textLabel3_2->setText( i18n("Zip Code:" ) );
    textLabel4_2->setText( i18n("Phone:" ) );
    textLabel5_2->setText( i18n("Mobile:" ) );
    groupBox1->setTitle( i18n("All above are availible to" ) );
    rB_Private->setText( i18n("no one" ) );
    rB_Protected->setText( i18n("friends only" ) );
    rB_Public->setText( i18n("anyone" ) );
    tW_Infor->changeTab( tabMether, i18n("Contact" ) );
    textLabel10->setText( i18n("Animal Sign:" ) );
    textLabel11->setText( i18n("Blood:" ) );
    textLabel12->setText( i18n("Horoscope:" ) );
    textLabel6_2->setText( i18n("Real Name:" ) );
    textLabel7_2->setText( i18n("College:" ) );
    textLabel8_2->setText( i18n("Occupation:" ) );
    textLabel9->setText( i18n("Home Page:" ) );
    textLabel13->setText( i18n("Description:" ) );
    cB_Job->clear();
    cB_Job->insertItem( QString::null );
    cB_Job->insertItem( i18n("IT" ) );
    cB_Job->insertItem( i18n("Teacher" ) );
    cB_Job->insertItem( i18n("Doctor" ) );
    cB_Job->insertItem( i18n("Student" ) );
    cB_Job->insertItem( i18n("Soldier" ) );
    cB_ShX->clear();
    cB_ShX->insertItem( QString::null );
    cB_ShX->insertItem( i18n("Rat" ) );
    cB_ShX->insertItem( i18n("Ox" ) );
    cB_ShX->insertItem( i18n("Tiger" ) );
    cB_ShX->insertItem( i18n("Rabbit" ) );
    cB_ShX->insertItem( i18n("Dragon" ) );
    cB_ShX->insertItem( i18n("Snake" ) );
    cB_ShX->insertItem( i18n("Horse" ) );
    cB_ShX->insertItem( i18n("Sheep" ) );
    cB_ShX->insertItem( i18n("Monkey" ) );
    cB_ShX->insertItem( i18n("Rooster" ) );
    cB_ShX->insertItem( i18n("Dog" ) );
    cB_ShX->insertItem( i18n("Pig" ) );
    cB_BloodType->clear();
    cB_BloodType->insertItem( QString::null );
    cB_BloodType->insertItem( i18n("A" ) );
    cB_BloodType->insertItem( i18n("B" ) );
    cB_BloodType->insertItem( i18n("O" ) );
    cB_BloodType->insertItem( i18n("AB" ) );
    cB_BloodType->insertItem( i18n("Other" ) );
    cB_Star->clear();
    cB_Star->insertItem( QString::null );
    cB_Star->insertItem( i18n("Aquarius" ) );
    cB_Star->insertItem( i18n("Pisces" ) );
    cB_Star->insertItem( i18n("Aries" ) );
    cB_Star->insertItem( i18n("Taurus" ) );
    cB_Star->insertItem( i18n("Gemini" ) );
    cB_Star->insertItem( i18n("Cancer" ) );
    cB_Star->insertItem( i18n("Leo" ) );
    cB_Star->insertItem( i18n("Virgo" ) );
    cB_Star->insertItem( i18n("Libra" ) );
    cB_Star->insertItem( i18n("Scoripio" ) );
    cB_Star->insertItem( i18n("Sagittarius" ) );
    cB_Star->insertItem( i18n("Capricorn" ) );
    tW_Infor->changeTab( tabAllinfor, i18n("Details" ) );
    tW_Infor->changeTab( tabSecurity, i18n("Security" ) );
    
    btngAuthen->setTitle( i18n("Authentication" ) );
    rbtnAuthNoNeed->setText( i18n("Freely adding to anybody" ) );
    rbtnAuthNeed->setText( i18n("Need authentication to add me" ) );
    rbtnAuthReject->setText( i18n("Reject any adding request" ) );
    gbChangePassword->setTitle( i18n("Change password" ) );
    lblOldPwd->setText( i18n("current:" ) );
    lblNewPwd->setText( i18n("new:" ) );
    lblNewPwdConfirm->setText( i18n("re-enter:" ) );
    textLabel4s->setText( i18n("(within 16 chars)" ) );
    textLabel5s->setText( i18n("(within 16 chars)" ) );
}
